<?php

if ( ! current_user_can('manage_options')) {
    wp_die(esc_html__('You do not have sufficient permissions to access this page.', 'dagt'));
}

?>

<!-- output -->

<div class="wrap">

    <h2><?php esc_html_e('Grammar Test - Help', 'dagt'); ?></h2>

    <div id="daext-menu-wrapper">

        <p><?php esc_html_e('Visit the resources below to find your answers or to ask questions directly to the plugin developers.',
                'dagt'); ?></p>
        <ul>
            <li><a href="https://daext.com/doc/grammar-test/"><?php esc_html_e('Plugin Documentation', 'dagt'); ?></a></li>
            <li><a href="https://daext.com/support/"><?php esc_html_e('Support Conditions', 'dagt'); ?></li>
            <li><a href="https://daext.com"><?php esc_html_e('Developer Website', 'dagt'); ?></a></li>
        </ul>
        <p>

    </div>

</div>