<?php

/*
 * This file dynamically generates select arrow based on the color specified
 * with the plugin options
 */

//get data
if(!isset($_GET['color'])){die("color isn't set");}else{$color = $_GET['color'];}

//validation
if(!preg_match('/^(?:[0-9a-fA-F]{3}){1,2}$/', $color)){die('Invalid Hex RGB color.');}

//set the content type as a image/svg+xml
header('Content-type: image/svg+xml');

//turn on output buffering
ob_start();

?>
<?php echo '<?xml version="1.0" encoding="utf-8"?>'; ?>
<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" x="0px" y="0px" width="7px" height="5px" viewBox="0 0 7 5" enable-background="new 0 0 7 5" xml:space="preserve">
<g id="Layer_1" display="none">
</g>
<g id="Layer_2">
    <polygon fill="#000000" points="0,0 3.5,5 7,0  "/>
</g>
</svg>
<?php

$output = ob_get_clean();

//replace the default color #000000 with the provided color
$output = str_replace('#000000', '#' . $color, $output);

//output the svg
echo $output;
die();